use crate::common::{parse_input, Level};

pub(crate) fn task1() {
    let raw_input = include_str!("./input.txt");
    let levels = parse_input(raw_input);
    let count = levels.into_iter()
        .filter(Level::is_safe)
        .count();
    
    println!("The solution to task 1 is {}", count)
}