fn get_raw_text() -> &'static str {
    include_str!("./input.txt")
}

pub(crate) fn parse_input_file() -> (Vec<usize>, Vec<usize>) {
    get_raw_text()
        .split("\n")
        .map(|line| {
            let array: Vec<_> = line.split(" ").filter(|el| !el.is_empty()).collect();
            (
                array
                    .first()
                    .and_then(|value| value.parse::<usize>().ok())
                    .unwrap(),
                array
                    .last()
                    .and_then(|value| value.parse::<usize>().ok())
                    .unwrap(),
            )
        })
        .collect()
}
