use crate::common::parse_input_file;

pub(crate) fn task1() -> usize {
    let (mut first_number_array, mut second_number_array) = parse_input_file();

    first_number_array.sort();
    second_number_array.sort();

    first_number_array
        .into_iter()
        .zip(second_number_array)
        .map(|(first, second)| first.abs_diff(second))
        .sum()
}
